<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title></title>
</head>
<body>
	<h4><em>Science and Engineering Ethics (2001) 7, 231-238</em></h4>
	<hr>


	<h1><strong>Sofware Engineering Code of Ethics and Profesional Practice</strong></h1>
	<h3><strong>IEE-CS/ACM Joint Task Force on Software Engineering and Professional Practices</strong></h3>

	<hr>

	<p><strong>Keyword</strong>: code of ethics, professional responsibility, software engineering

		<h4><strong>PREAMBLE</strong></h4>

			<br>The short version of the code summarize aspiration at a high level of obstraction. The clauses  that are included in the  full version give examples  and detail of how these aspiration change the way we act  as software engineering professionals. Without the aspiration, the details  can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.


			<br>Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to health, safety, and welfare oft he public, software engineers shall adhere to the following eight Principles:

			<h4><strong>PRINCIPLES</strong></h4>


					<ol>
						<li><em>Public.</em> Software engineers shall act consistently with the public interest.</li>
						<li><em>Client and employer.</em> Software engineers shall act in a manner that is in the best interest of their client and employer, consistent with the public interest.</li>
						<li><em>Product.</em> Software engineers shall ensure that their product and related modifications meet the highest professional standard possible.</li>
						<li><em>Judgement.</em> Sofware engineers shall maintain integrity and independence in their professional judgement.</li>
						<li><em>Management.</em> Software engineers managers and leaders shall subcribe to and promote  an ethical approach to the management  of software development and maintenance.</li>
						<li><em>Profession.</em> Software engineers shall advance  the integrity and reputation of the profession consistent with the public interest.</li>
						<li><em>Collegues.</em> Software engineers shall be fair and supportive of their colleagues.</li>
						<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the  pratice of profession.</li>

					</ol>
	</p>

</body>
</html>